Bug 1395586 - [RFE] Remove Nova polling from compute agent when Gnocchi is used.
Summary: [RFE] Remove Nova polling from compute agent when Gnocchi is used.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Mehdi ABAAKOUK
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 09:31 UTC by Mehdi ABAAKOUK
Modified: 2017-05-17 19:46 UTC (History)
7 users (show)

Fixed In Version: openstack-ceilometer-7.0.0-0.20170120174042.eb97060.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:46:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 397654 None None None 2017-01-04 16:55:33 UTC
OpenStack gerrit 413236 None None None 2017-01-04 16:55:57 UTC

Description Mehdi ABAAKOUK 2016-11-16 09:31:20 UTC
Now, nova writes the instance metadata on the compute via the libvirt metadata API. We can leverage that in Ceilometer to retrieve the instance metadata from libvirt instead of polling the Nova API.

The down-side is that metadata are not complete. But when Gnocchi is used as backend, this is not an issue since Gnocchi doesn't store resource metadata aside of the measurements. And the missing informations are still retrieved with the other Nova API polling done by the central agent that have all the informations and will fully update the resource information in Gnocchi.

Comment 7 errata-xmlrpc 2017-05-17 19:46:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.